Skip to content
dartpilot
Esc
↑↓navigate↵open⌘Jpreview

Get a tournament match

Returns one bracket match, including its game’s config and current state once the match has started. Poll it to follow a match live.

GET/tournaments/{id}/matches/{matchId}
Authorization
x-api-keyAPI key · headerrequired

A user (dp_) or organization (dp_org_) API key with read scopes.

Path parameters
idstringrequired

The entity id.

matchIdstringrequired

The tournament match id.

Responses
200

The tournament match.

idstringrequired
roundintegerrequired
min -9007199254740991 · max 9007199254740991
slotintegerrequired
min -9007199254740991 · max 9007199254740991
statusstringrequired
gameIdstring | nullrequired
participantAIdstring | nullrequired
participantBIdstring | nullrequired
participantAScoreinteger | nullrequired
Show properties
Any of:
integer
integer
null
null
participantBScoreinteger | nullrequired
Show properties
Any of:
integer
integer
null
null
winnerParticipantIdstring | nullrequired
participantAReadyAtstring | nullrequired
participantBReadyAtstring | nullrequired
readyDeadlineAtstring | nullrequired
decidedByHostbooleanrequired
gameGameDetail | nullrequired
Show properties
Any of:
GameDetail
idstringrequired
typestringrequired
statusstringrequired
playersGamePlayer[]required
Show properties
Array of GamePlayer
namestringrequired
userIdstring | nullrequired
imagestring | nullrequired
createdAtstringrequired
updatedAtstringrequired
configobjectrequired
stateobject | nullrequired
Show properties
Any of:
object
object
null
null
stateUpdatedAtstringrequired
null
null
400

Invalid request.

messagestringrequired
401

Missing or invalid API key.

messagestringrequired
403

The API key is missing a required scope or is the wrong type for this endpoint.

messagestringrequired
404

Entity not found.

messagestringrequired
429

Rate limit exceeded. See the Retry-After header.

messagestringrequired
500

Internal server error.

messagestringrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.dartpilot.app/v1/tournaments/string/matches/string' \
  -H 'x-api-key: YOUR_API_KEY' \
  -H 'Accept: application/json'
Response
{
  "id": "string",
  "round": -9007199254740991,
  "slot": -9007199254740991,
  "status": "string",
  "gameId": "string",
  "participantAId": "string",
  "participantBId": "string",
  "participantAScore": -9007199254740991,
  "participantBScore": -9007199254740991,
  "winnerParticipantId": "string",
  "participantAReadyAt": "string",
  "participantBReadyAt": "string",
  "readyDeadlineAt": "string",
  "decidedByHost": true,
  "game": {
    "id": "string",
    "type": "string",
    "status": "string",
    "players": [
      {
        "name": "string",
        "userId": "string",
        "image": "string"
      }
    ],
    "createdAt": "string",
    "updatedAt": "string",
    "config": {
      "property1": null,
      "property2": null
    },
    "state": {
      "property1": null,
      "property2": null
    },
    "stateUpdatedAt": "string"
  }
}

Was this page helpful?